The Heartbleed bug has exposed millions of users across the globe and this is one breach of security you can't afford to ignore.

If you're on Facebook, Instagram, have a Gmail or Yahoo email account or an account on many other websites, you need to change your password now.

 

Thinkstock

The Heartbleed bug has apparently been around since March 2012 but it was only discovered 2 days ago. The sites that have could possibly be infected are the sites that begin with https:// which are many of the secure sites you visit.

If you own an account on any of these sites, it is highly-recommended that you change your password immediately.

A few sites that were not affected are Twitter, PayPal, eBay, and Craigslist.

For a complete list of sites who were and were not affected, visit CNET here.